List Lead Documents
curl --request GET \
--url https://api.getnexor.ai/api/public/leads/{id}/documents \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getnexor.ai/api/public/leads/{id}/documents"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getnexor.ai/api/public/leads/{id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requirement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requirement_key_snapshot": "<string>",
"name_snapshot": "<string>",
"storage_path": "<string>",
"mime_type": "<string>",
"size_bytes": "<string>",
"original_filename": "<string>",
"status": "received",
"rejection_reason": "<string>",
"rejection_reason_for_lead": "<string>",
"collected_in_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collected_via": "whatsapp",
"supersedes_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision_number": 2,
"uploaded_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"reviewed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"field": "<string>",
"value": "<unknown>",
"allowed": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"field": "<string>",
"value": "<unknown>",
"allowed": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"field": "<string>",
"value": "<unknown>",
"allowed": [
"<unknown>"
]
}List Lead Documents
This operation lets you list lead documents for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
GET
/
leads
/
{id}
/
documents
List Lead Documents
Safety and behavior notes
- The response includes document metadata such as storage path, filename, MIME type, rejection reasons, reviewer references, and workflow references.
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Query Parameters
Available options:
all, unlinked, linked Response
Lead documents ordered newest first.
Show child attributes
Show child attributes
Last modified on September 8, 2026
⌘I